
package net.gencat.scsp.esquemes.respuesta;

import javax.activation.DataHandler;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlMimeType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;choice>
 *           &lt;element name="NombreFichero" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *           &lt;element name="RutaFichero" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *           &lt;element name="URLDescarga" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *           &lt;element name="Contenido" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
 *         &lt;/choice>
 *         &lt;element ref="{http://gencat.net/scsp/esquemes/respuesta}Id"/>
 *         &lt;element name="Hash" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
 *         &lt;element name="Firma" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
 *         &lt;element ref="{http://gencat.net/scsp/esquemes/respuesta}Via" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "nombreFichero",
    "rutaFichero",
    "urlDescarga",
    "contenido",
    "id",
    "hash",
    "firma",
    "via"
})
@XmlRootElement(name = "Fichero")
public class Fichero {

    @XmlElement(name = "NombreFichero")
    protected String nombreFichero;
    @XmlElement(name = "RutaFichero")
    protected String rutaFichero;
    @XmlElement(name = "URLDescarga")
    protected String urlDescarga;
    @XmlElement(name = "Contenido")
    @XmlMimeType("application/octet-stream")
    protected DataHandler contenido;
    @XmlElement(name = "Id", required = true)
    protected String id;
    @XmlElement(name = "Hash")
    protected byte[] hash;
    @XmlElement(name = "Firma")
    protected byte[] firma;
    @XmlElement(name = "Via")
    protected String via;

    /**
     * Gets the value of the nombreFichero property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNombreFichero() {
        return nombreFichero;
    }

    /**
     * Sets the value of the nombreFichero property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNombreFichero(String value) {
        this.nombreFichero = value;
    }

    /**
     * Gets the value of the rutaFichero property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRutaFichero() {
        return rutaFichero;
    }

    /**
     * Sets the value of the rutaFichero property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRutaFichero(String value) {
        this.rutaFichero = value;
    }

    /**
     * Gets the value of the urlDescarga property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getURLDescarga() {
        return urlDescarga;
    }

    /**
     * Sets the value of the urlDescarga property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setURLDescarga(String value) {
        this.urlDescarga = value;
    }

    /**
     * Gets the value of the contenido property.
     * 
     * @return
     *     possible object is
     *     {@link DataHandler }
     *     
     */
    public DataHandler getContenido() {
        return contenido;
    }

    /**
     * Sets the value of the contenido property.
     * 
     * @param value
     *     allowed object is
     *     {@link DataHandler }
     *     
     */
    public void setContenido(DataHandler value) {
        this.contenido = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the hash property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getHash() {
        return hash;
    }

    /**
     * Sets the value of the hash property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setHash(byte[] value) {
        this.hash = ((byte[]) value);
    }

    /**
     * Gets the value of the firma property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getFirma() {
        return firma;
    }

    /**
     * Sets the value of the firma property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setFirma(byte[] value) {
        this.firma = ((byte[]) value);
    }

    /**
     * Gets the value of the via property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVia() {
        return via;
    }

    /**
     * Sets the value of the via property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVia(String value) {
        this.via = value;
    }

}
